Bug 471321 - long append="..." causes yaboot to reject entire yaboot.conf (MAX_TOKEN too small)
long append="..." causes yaboot to reject entire yaboot.conf (MAX_TOKEN too s...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 18:11 EST by Will Woods
Modified: 2008-12-13 10:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 08:17:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yaboot-1.3.14-bigger-max-token.patch (393 bytes, patch)
2008-11-12 18:11 EST, Will Woods
no flags Details | Diff

  None (edit)
Description Will Woods 2008-11-12 18:11:04 EST
Created attachment 323398 [details]
yaboot-1.3.14-bigger-max-token.patch

yaboot's second/cfg.c has:
  #define MAX_TOKEN 200

When yaboot parses its config file, if it encounters a quoted string (like append="...") longer than MAX_TOKEN, it rejects the entire config.

Typical preupgrade usage uses ~250 chars, which means preupgrade currently renders ppc systems unbootable without this patch.

Suggest increasing MAX_TOKEN to.. let's say 511. cfg.c does "char buf[MAX_TOKEN+1]", and everyone loves powers of 2.
Comment 1 Bug Zapper 2008-11-26 00:16:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Roman Rakus 2008-11-26 08:17:38 EST
Fixed in rawhide yaboot-1.3.14-7.fc11
Comment 3 Fedora Update System 2008-11-27 10:19:38 EST
yaboot-1.3.13-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yaboot-1.3.13-13.fc9
Comment 4 Fedora Update System 2008-11-27 10:31:07 EST
yaboot-1.3.13-9.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/yaboot-1.3.13-9.fc8
Comment 5 Fedora Update System 2008-12-02 20:26:23 EST
yaboot-1.3.13-9.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-12-11 04:44:14 EST
yaboot-1.3.14-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yaboot-1.3.14-8.fc10
Comment 7 Fedora Update System 2008-12-13 09:56:16 EST
yaboot-1.3.13-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-12-13 10:00:31 EST
yaboot-1.3.14-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.